
### call AttractionThreshold_WA_2011-12.RData for WA
### rename rapport in rapportwa and abscisse in abscissewa

### then follow script EstimateAttractionThreshold from BBA folder


par(oma=rep(1,4),mfrow=c(1,2))

## BBA
# fit a broken line regression
abscisse=as.double(rat[[2]][,1])
ordonnee=rat[[2]][,2]
fit.seg=segmented(lm(ordonnee~abscisse),~abscisse,5)
fit.seg
CI=confint.segmented(fit.seg)$abscisse

#plot the results
#plot.ratio(rat,expect=10/180)
par(mar=c(5,7,2,2))
plot(abscisse,ordonnee,xaxt="n",ylab="",ylim=c(0,1),xlab="",pch=21,cex=1,bg="grey",cex.axis=1.2) #sub='Red line indicates null model for directions uniformly distributed within 0 to 180',,main='Limit distance of detection of vessels'
title(xlab='Distance from a vessel (km)',ylab=paste('Proportion of albatross flights','\n','within 10 towards a vessel',sep=""),cex.lab=1.5,cex.axis=1.2)
axis(1,at=seq(0,150,10),labels=F,cex.axis=1.2)#at=c(0,20,29.2,40,60,80,100,120,140),labels=as.character(c(0,20,29,40,60,80,100,120,140))
axis(1,at=seq(0,150,30),labels=seq(0,150,30),cex.axis=1.2)#at=c(0,20,29.2,40,60,80,100,120,140),labels=as.character(c(0,20,29,40,60,80,100,120,140))
lines(c(0,150),c(1/18,1/18),col='red',lwd=2)

lines(fit.seg)
lines(abscisse,broken.line(fit.seg)$fit,lwd=2)



## WA
par(mar=c(5,7,2,2))
plot(abscissewa,rapportwa,xaxt="n",ylab="",ylim=c(0,1),xlab="",pch=21,cex=1,bg="grey25",cex.axis=1.2) #sub='Red line indicates null model for directions uniformly distributed within 0 to 180',,main='Limit distance of detection of vessels'
title(xlab='Distance from a vessel (km)',ylab=paste('Proportion of albatross flights','\n','within 10 towards a vessel',sep=""),cex.lab=1.5,cex.axis=1.2)
axis(1,at=seq(0,150,10),labels=F,cex.axis=1.2)#at=c(0,20,29.2,40,60,80,100,120,140),labels=as.character(c(0,20,29,40,60,80,100,120,140))
axis(1,at=seq(0,150,30),labels=seq(0,150,30),cex.axis=1.2)#at=c(0,20,29.2,40,60,80,100,120,140),labels=as.character(c(0,20,29,40,60,80,100,120,140))
lines(c(0,150),c(1/18,1/18),col='red',lwd=2)

fit.seg=segmented(lm(rapportwa~abscissewa),~abscissewa,5)
fit.seg
confint.segmented(fit.seg)

lines(fit.seg)
lines((abscissewa),broken.line(fit.seg)$fit,lwd=3)
#lines(c(29.2,29.2),c(0,1),lty=2)
#text(39,0.011,'29.21km')



